import type Vue from 'vue';
import type { SetupContext } from '@vue/composition-api';
import type { InputNumberValue, TdInputNumberProps } from './type';
export declare const specialCode: string[];
export default function useInputNumber(props: TdInputNumberProps, context: SetupContext): {
    classPrefix: import("@vue/composition-api").Ref<string>;
    wrapClasses: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: boolean | "normal" | "column" | "row";
    })[]>;
    reduceClasses: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: boolean;
    })[]>;
    addClasses: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: boolean;
    })[]>;
    tDisabled: import("@vue/composition-api").ComputedRef<boolean>;
    isError: import("@vue/composition-api").Ref<"exceed-maximum" | "below-minimum">;
    listeners: {
        blur: (value: string, ctx: {
            e: FocusEvent;
        }) => void;
        focus: (value: string, ctx: {
            e: FocusEvent;
        }) => void;
        keydown: (value: string, ctx: {
            e: KeyboardEvent;
        }) => void;
        keyup: (value: string, ctx: {
            e: KeyboardEvent;
        }) => void;
        keypress: (value: string, ctx: {
            e: KeyboardEvent;
        }) => void;
        enter: (value: string, ctx: {
            e: KeyboardEvent;
        }) => void;
        click: () => void;
        clear: (context: {
            e: MouseEvent;
        }) => void;
    };
    userInput: import("@vue/composition-api").Ref<string>;
    tValue: import("@vue/composition-api").Ref<InputNumberValue>;
    inputRef: import("@vue/composition-api").Ref<Vue>;
    formDisabled: import("@vue/composition-api").ComputedRef<boolean>;
    focus: () => void;
    blur: () => void;
    handleReduce: (e: KeyboardEvent | MouseEvent) => void;
    handleAdd: (e: KeyboardEvent | MouseEvent) => void;
    onInnerInputChange: (val: string, { e }: {
        e: InputEvent;
    }) => void;
};
